
set echo on
column lower_bound new_value lower_bound
column upper_bound new_value upper_bound

EXEC DBMS_LOCK.SLEEP(10);

INSERT INTO fbt VALUES (1, LOCALTIMESTAMP, 'Initial population');
COMMIT;

ALTER SESSION SET nls_timestamp_format = 'DD-MON-YYYY HH24:MI:SS.FF3';

EXEC DBMS_LOCK.SLEEP(10);

SELECT LOCALTIMESTAMP AS lower_bound FROM dual;

UPDATE fbt SET y = LOCALTIMESTAMP, z = 'First update';
COMMIT;

EXEC DBMS_LOCK.SLEEP(10);

UPDATE fbt SET y = LOCALTIMESTAMP, z = 'Second update';
COMMIT;

SELECT LOCALTIMESTAMP AS upper_bound FROM dual;

EXEC DBMS_LOCK.SLEEP(10);
DELETE FROM fbt WHERE x = 1;
COMMIT;


